Skip to main content
PATCH
Update a merchant webhook endpoint

Authorizations

Authorization
string
header
required

Merchant API key bearer token.

Headers

Idempotency-Key
string
required

Client-supplied unique key for safe retries of this mutating request. Scoped per merchant or resource as documented on each endpoint.

Example:

"idem-01"

Path Parameters

webhookEndpointId
string
required

Webhook endpoint TypeID (whk_...) to update.

merchantId
string
required

Merchant TypeID (mer_...) owning the endpoint.

Body

application/json
url
string<uri>
name
string | null
Required string length: 1 - 100
eventTypes
string[]
Required array length: 1 - 50 elements
Minimum string length: 1
status
enum<string>
Available options:
active,
disabled

Response

200 - application/json
webhookEndpointId
string
required
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$